/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.Nightlight: ImageVector
    get() {
        if (_nightlight != null) {
            return _nightlight!!
        }
        _nightlight = materialIcon(name = "TwoTone.Nightlight") {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(6.0f, 12.0f)
                curveToRelative(0.0f, -4.41f, 3.59f, -8.0f, 8.0f, -8.0f)
                curveToRelative(0.34f, 0.0f, 0.68f, 0.02f, 1.01f, 0.07f)
                curveTo(13.1f, 6.23f, 12.0f, 9.05f, 12.0f, 12.0f)
                reflectiveCurveToRelative(1.1f, 5.77f, 3.01f, 7.93f)
                curveTo(14.68f, 19.98f, 14.34f, 20.0f, 14.0f, 20.0f)
                curveTo(9.59f, 20.0f, 6.0f, 16.41f, 6.0f, 12.0f)
                close()
            }
            materialPath {
                moveTo(14.0f, 12.0f)
                curveToRelative(0.0f, -3.7f, 2.01f, -6.92f, 5.0f, -8.65f)
                curveTo(17.53f, 2.5f, 15.82f, 2.0f, 14.0f, 2.0f)
                curveTo(8.48f, 2.0f, 4.0f, 6.48f, 4.0f, 12.0f)
                reflectiveCurveToRelative(4.48f, 10.0f, 10.0f, 10.0f)
                curveToRelative(1.82f, 0.0f, 3.53f, -0.5f, 5.0f, -1.35f)
                curveTo(16.01f, 18.92f, 14.0f, 15.7f, 14.0f, 12.0f)
                close()
                moveTo(15.01f, 19.93f)
                curveTo(14.68f, 19.98f, 14.34f, 20.0f, 14.0f, 20.0f)
                curveToRelative(-4.41f, 0.0f, -8.0f, -3.59f, -8.0f, -8.0f)
                reflectiveCurveToRelative(3.59f, -8.0f, 8.0f, -8.0f)
                curveToRelative(0.34f, 0.0f, 0.68f, 0.02f, 1.01f, 0.07f)
                curveTo(13.1f, 6.23f, 12.0f, 9.05f, 12.0f, 12.0f)
                reflectiveCurveTo(13.1f, 17.77f, 15.01f, 19.93f)
                close()
            }
        }
        return _nightlight!!
    }

private var _nightlight: ImageVector? = null
